﻿Public Class Form1

	Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

		Dim strValues(3)

		strValues(0) = "Some Text"
		strValues(1) = "2.987"
		strValues(2) = "More Text"
		strValues(3) = "1234.1234567890"

		'----------------------------------
		Dim orgApp As Origin.Application
		Dim orgBook As Origin.WorksheetPage
		Dim orgWks As Origin.Worksheet
		Dim orgColumn1 As Origin.Column
		Dim orgColumn2 As Origin.Column

		orgApp = New Origin.Application
		orgApp.NewProject()
		orgBook = orgApp.WorksheetPages.Add()
		orgWks = orgBook.Layers(0)
		orgColumn1 = orgWks.Columns.Add()
		orgColumn2 = orgWks.Columns.Add()

		orgColumn1.DataFormat = Origin.COLDATAFORMAT.DF_TEXT_NUMERIC
		orgColumn1.SetData(strValues)

		' For column 2 we set TextAndNumericSetAlwaysAsText to true.
		' This ensures that all values will be treated as Text
		' despite the fact that some of the values are numeric.
		orgColumn2.DataFormat = Origin.COLDATAFORMAT.DF_TEXT_NUMERIC
		orgColumn2.TextAndNumericSetAlwaysAsText = True
		orgColumn2.SetData(strValues)

		If orgApp.Save(TextBox1.Text) Then
			statusLabel.Text = "Success!  The project file was created."
		Else
			statusLabel.Text = "Error!  The project file was NOT created."
		End If

		orgColumn1 = Nothing
		orgColumn2 = Nothing
		orgWks = Nothing
		orgBook = Nothing
		orgApp = Nothing

	End Sub

End Class
